eurephiadm users(7)

NAME
eurephiadm-users - User management module

SYNOPSIS
eurephiadm users \-\-list|\-l [\-S|\-\-sort <sort keys>]
eurephiadm users \-\-show|\-s [\-i|\-\-uid <user id>] [\-u|\-\-username <user name>] [\-l|\-|-lastlog] [\-L|\-\-lastlog-details] [\-a|\-\-attempts] [\-b|\-\-blacklist]
eurephiadm users \-\-activate|\-a [\-i|\-\-uid <user id>] [\-u|\-\-username <user name>]
eurephiadm users \-\-deactivate|\-d [\-i|\-\-uid <user id>] [\-u|\-\-username <user name>]
eurephiadm users \-\-add|\-A [\-u|\-\-username <user name>] [\-P|\-\-password <plain text password>] [\-C|\-\-certid <certificate ID>] [\-D|\-\-digest <certificate SHA1 digest>] [\-c|\-\-certfile <certificate file>] [\-2|\-\-pkcs12]
eurephiadm users \-\-delete|\-D [\-i|\-\-uid <user id>] [\-u|\-\-username <user name>]
eurephiadm users \-\-password|\-p [\-i|\-\-uid <user id>] [\-u|\-\-username <user name>]
eurephiadm users [\-h|\-\-help [<mode>]]

DESCRIPTION
eurephiadm users manages eurephia user accounts. It provides an interface for listing, creating new, modify and delete user accounts.

MODES

  Available modes:

-l | --list
    [-S|--sort <sort keys>]
    List all user accounts. Providing -S|--sort and a sort key will define the sort order of the list. Valid sort keys are:

    uid - user ID
    username - User name belonging to the user account
    activated - When the user account was activated
    deactivated - When the user account was deactivated
    lastaccess - When the user account was last used

-s | --show
    [-i|--uid <user id>] [-u|--username <user name>] [-l|--lastlog] [-L|--lastlog-details] [-a|--attempts] [-b|--blacklist]
    Show user account details. --uid or --username are required. The other arguments only defined which kind of information to show.

-a | --activate
    [-i|--uid <user id>] [-u|--username <user name>]
    Activate a user account. --uid or --username is required.

-d | --deactivate
    [-i|--uid <user id>] [-u|--username <user name>]
    Deactivate a user account. --uid or --username is required.

-A | --add
    [-u|--username <user name>] [-P|--password <plain text password>] [-C|--certid <certificate ID>] [-D|--digest <certificate SHA1 digest>] [-c|--certfile <certificate file>] [-2|--pkcs12]
    Add a new user account. --username is required. If you want to assign a password for the new user account via the command line, provide the password with --password.

    To associate this user account against an already regstistered certificate, it can be done by either refering to the certificate ID in eurephia using --certid or providing the certificate SHA1 digest/fingerprint to --digest.

    A brand new certificate can be registered and linked to the user account directly if you have access to the certificate file. The file can be in either PEM/DER format or PKCS#12. Use --certfile to indicate the certificate file to extract the information from and --pkcs12 if it is a PKCS#12 file.

-D | --delete
    [-i|--uid <user id>] [-u|--username <user name>]
    Delete a user account. --uid or --username is required.

-p | --password
    [-i|--uid <user id>] [-u|--username <user name>]
    Change password on a user account. --uid or --username is required.

-h | --help
    [<mode>]
    Show a help screen. Without any arguments, all modes are listed. Providing a mode will show more information about the chosen mode.

SEE ALSO
eurephiadm(7), eurephiadm-certs(7)

AUTHOR
Copyright (C) 2008-2012 David Sommerseth <dazo@users.sourceforge.net>